# H248_IndAudMediaDescriptor_streams Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_oneStream, e_multiStream }

## Public Member Functions

| H248_IndAudMediaDescriptor_streams (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_IndAudStreamParms & ()
| operator const H248_IndAudStreamParms & () const
| operator H248_ArrayOf_IndAudStreamDescriptor & ()
| operator const H248_ArrayOf_IndAudStreamDescriptor & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_IndAudMediaDescriptor_streams::Choices

Enumerator:

  e_oneStream |
  e_multiStream |

## Constructor & Destructor Documentation

H248_IndAudMediaDescriptor_streams::H248_IndAudMediaDescriptor_streams | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_IndAudMediaDescriptor_streams::operator H248_IndAudStreamParms & | ( |  | ) |

H248_IndAudMediaDescriptor_streams::operator const H248_IndAudStreamParms & | ( |  | ) | const

H248_IndAudMediaDescriptor_streams::operator H248_ArrayOf_IndAudStreamDescriptor & | ( |  | ) |

H248_IndAudMediaDescriptor_streams::operator const H248_ArrayOf_IndAudStreamDescriptor & | ( |  | ) | const

PBoolean H248_IndAudMediaDescriptor_streams::CreateObject | ( |  | ) |

PObject* H248_IndAudMediaDescriptor_streams::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h